Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 653783 - [ml_IN] The character 0D1A ("ച") missing on IOK for Malayalam Inscript
Summary: [ml_IN] The character 0D1A ("ച") missing on IOK for Malayalam Inscript
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: m17n-contrib
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Parag Nemade
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Depends On: 577171
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-16 06:36 UTC by Parag Nemade
Modified: 2011-05-19 12:59 UTC (History)
4 users (show)

Fixed In Version: m17n-contrib-1.1.10-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 577171
Environment:
Last Closed: 2011-05-19 12:59:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch (262 bytes, patch)
2010-11-16 06:41 UTC, Parag Nemade
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0544 0 normal SHIPPED_LIVE m17n-contrib bug fix and enhancement update 2011-05-18 17:57:31 UTC

Description Parag Nemade 2010-11-16 06:36:40 UTC
+++ This bug was initially created as a clone of Bug #577171 +++

Created attachment 402807 [details]
Screenshot for IOK with inscript layout

Description of problem:
The character "ച" with Unicode - 0D1A is missing on the IOK for "Malayalam".
It does not appear on the screen as well as do not type anything when that key is clicked.


Version-Release number of selected component (if applicable):
iok-1.3.10-1.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open any text editor, say gedit.
2. Activate Ibus and click on the IOK icon that appears for the inscript layout for Malayalam on the ibus language panel.
  
Actual results:
When you reproduce the above steps, you can see the KEY ; ie, key between "ത" and "ട" as blank. Click on the key, nothing displays.


Expected results:
When you reproduce the above steps, KEY ; must have the character "ച". Clicking on the key should display "ച".

Additional info:
Without IOK using inscript keyboard you can type ച using the Key ;.

--- Additional comment from updates@fedoraproject.org on 2010-07-09 12:28:52 IST ---

m17n-contrib-1.1.10-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/m17n-contrib-1.1.10-5.fc13

--- Additional comment from updates@fedoraproject.org on 2010-07-13 13:22:45 IST ---

m17n-contrib-1.1.10-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update m17n-contrib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/m17n-contrib-1.1.10-5.fc13

--- Additional comment from pnemade@redhat.com on 2010-07-23 15:21:47 IST ---

This is already in F13 updates.

Comment 1 Parag Nemade 2010-11-16 06:41:36 UTC
Created attachment 460749 [details]
patch

Comment 2 Parag Nemade 2011-01-07 04:40:57 UTC
Fixed in m17n-contrib-1.1.10-4.el6

Comment 5 errata-xmlrpc 2011-05-19 12:59:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0544.html


Note You need to log in before you can comment on or make changes to this bug.